org.apache.felix.resolver

## Class WrappedRequirement

- java.lang.Object
- - org.apache.felix.resolver.WrappedRequirement

All Implemented Interfaces:
  org.osgi.resource.Requirement

    public class WrappedRequirement
    extends Object
    implements org.osgi.resource.Requirement

### Constructor Summary

Constructors
Constructor and Description
`WrappedRequirement(org.osgi.resource.Resource host, org.osgi.resource.Requirement req)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`Map<String,Object>` `getAttributes()`
`org.osgi.resource.Requirement` `getDeclaredRequirement()`
`Map<String,String>` `getDirectives()`
`String` `getNamespace()`
`org.osgi.resource.Resource` `getResource()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WrappedRequirement

    public WrappedRequirement(org.osgi.resource.Resource host,
                              org.osgi.resource.Requirement req)

### Method Detail

#### equals

    public boolean equals(Object obj)

Specified by:
  `equals` in interface `org.osgi.resource.Requirement`
Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `org.osgi.resource.Requirement`
Overrides:
  `hashCode` in class `Object`

#### getDeclaredRequirement

    public org.osgi.resource.Requirement getDeclaredRequirement()

#### getResource

    public org.osgi.resource.Resource getResource()

Specified by:
  `getResource` in interface `org.osgi.resource.Requirement`

#### getNamespace

    public String getNamespace()

Specified by:
  `getNamespace` in interface `org.osgi.resource.Requirement`

#### getDirectives

    public Map<String,String> getDirectives()

Specified by:
  `getDirectives` in interface `org.osgi.resource.Requirement`

#### getAttributes

    public Map<String,Object> getAttributes()

Specified by:
  `getAttributes` in interface `org.osgi.resource.Requirement`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`